Summary:		Compact Disc Digital Audio (CDDA) extraction tool (or ripper)
Name:			cdparanoia
Version:		10.2
Release:		3%{?dist}
License:		GPLv2 and GPLv2+ and LGPLv2
URL:			http://www.xiph.org/paranoia/index.html
Source0:		http://downloads.xiph.org/releases/cdparanoia/cdparanoia-III-%{version}.src.tgz

Patch3000:		cdparanoia-10.2-#463009.patch
Patch3001:		cdparanoia-10.2-endian.patch
Patch3002:		cdparanoia-10.2-install.patch
Patch3003:		cdparanoia-10.2-format-security.patch
Patch3004:		cdparanoia-use-proper-gnu-config-files.patch
Patch3005:		cdparanoia-10.2-ldflags.patch
Patch3006:		cdparanoia-10.2-add-pkgconfig.patch

BuildRequires:  gcc autoconf automake make 
Requires:		%{name}-libs = %{version}-%{release}

%description
Cdparanoia (Paranoia III) reads digital audio directly from a CD, then
writes the data to a file or pipe in WAV, AIFC or raw 16 bit linear
PCM format.  Cdparanoia doesn't contain any extra features (like the ones
included in the cdda2wav sampling utility).  Instead, cdparanoia's strength
lies in its ability to handle a variety of hardware, including inexpensive
drives prone to misalignment, frame jitter and loss of streaming during
atomic reads.  Cdparanoia is also good at reading and repairing data from
damaged CDs.

%package static
Summary:		Development tools for libcdda_paranoia (Paranoia III)
License:		LGPLv2
Requires:		cdparanoia-devel = %{version}-%{release}

%description static
The cdparanoia-devel package contains the static libraries needed for
developing applications to read CD Digital Audio disks.

%package libs
Summary:		Libraries for libcdda_paranoia (Paranoia III)
License:		LGPLv2

%description libs
The cdparanoia-libs package contains the dynamic libraries needed for
applications which read CD Digital Audio disks.

%package devel
Summary:		Development tools for libcdda_paranoia (Paranoia III)
License:		LGPLv2
Requires:		%{name}-libs = %{version}-%{release}

%description devel
The cdparanoia-devel package contains the libraries and header files needed
for developing applications to read CD Digital Audio disks.

%prep
%setup -q -n cdparanoia-III-%{version}
%patch3000 -p3
%autopatch -p1 -m 3001 -M 3006

cp /usr/lib/rpm/%{_vendor}/config.* .

%build
autoreconf -ifv
%configure --includedir=%{_includedir}/cdda
make OPT="$RPM_OPT_FLAGS -Wno-pointer-sign -Wno-unused" LDFLAGS="%{?__global_ldflags}"

%install
%make_install

%files
%license COPYING*
%doc README
%{_bindir}/cdparanoia
%{_mandir}/man1/cdparanoia.1*

%files libs
%{_libdir}/*.so.*

%files devel
%{_includedir}/cdda/
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so

%files static
%{_libdir}/*.a

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 10.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Nov 22 2022 Xiaojie Chen <jackxjchen@tencent.com> - 10.2-1
- Initial build
